<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/customer.php';

date_default_timezone_set('Asia/Rangoon');
session_start();
$database = new Database();
$db = $database->getConnection();
 
$customer = new Customer($db);

$data = json_decode(file_get_contents("php://input"));

$customer->id = $data->id;
$customer->c_status = $data->c_status;
$customer->entry_by = $_SESSION['user'];
$customer->entry_date_time = date("Y-m-d H:i:s");	

if($data->id){
	if($customer->updateStatus()){
		$msg_arr = array(
			"message" => "updated"
		);
	}else{
		$msg_arr = array(
			"message" => "error"
		);
	}
}

echo json_encode($msg_arr);
?>	